<?php
    $this->PageTitle = 'Relatório Financeiro &raquo; Títulos';

    $botoes = '{Boleto}';
    $options = array();
    if (isset($_GET['busca'])) {
        $options[] = array('label' => FaHtml::iconExcel(),
                           'url' => array('generateExcel'),
                           'linkOptions' => array('class' => 'novo exportar'));
    }
    $options[] = array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button'));
    $options[] = array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'));
    $this->menu = $options;
?>

<?php
$dataProvider = $model->search();
?>
<div class="search-form" style="display:<?php echo (isset($_GET['busca'])) ? 'none' : 'block'; ?>" >
    <?php $this->renderPartial('_search', array('model' => $model)); ?>
</div><!-- search-form -->

<?php

function getDataPagamento($Data, $Pagamento) {
    if ($Pagamento == 0) {
        return Util::formatDataBr($Data);
    } else {
        return NULL;
    }
}

if (isset($_GET['busca'])) {

    $titulosTable        = Titulos::model()->tableName();
    $criteria            = new CDbCriteria;
    $dataProvider = $model->search(0,0,1);

    $criteria->condition = $dataProvider->criteria->condition;
    $criteria->params    = $dataProvider->criteria->params;
    $criteria->with      = $dataProvider->criteria->with;

    $join[] = 'LEFT JOIN clientes Cliente on CLI_IDCLIENTE = TIT_IDCLIENTE';
    $criteria->join = implode(" ", $join);
    $criteria->select    = '(SUM(TIT_VALOR) + SUM(TIT_VALORPAGO)) as soma';
    $count               = Yii::app()->db->commandBuilder->createFindCommand($titulosTable, $criteria)->queryScalar();

    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'id' => 'admin-grid',
        'dataProvider' => $dataProvider,
        'afterAjaxUpdate'=>'updated',
        'summaryText'     => "Exibindo {start}-{end} de {count} resultado(s).<span class='align-left'>Valor Total: ".Util::verMoeda($count)."</span>",
        'pager' => Util::getPagerDefaultConfig(),
        'columns' => array(
            array(
                'name' => 'TIT_IDCLIENTE',
                'value' => '!empty($data->Cliente) ? GxHtml::valueEx($data->Cliente) : "-"',
            ),
            array(
                'name' => 'Cliente.CLI_FONE1',
                'header' => 'Telefones',
                'value' => '!empty($data->Cliente) ? $data->Cliente->getTelefones("<br>") : "-"',
                'type' => 'raw'
            ),
            array(
                'name' => 'Cliente.Cidade',
                'value' => '!empty($data->Cliente) ? $data->Cliente->Cidade : "-"',
            ),
            array(
                'name' => 'Cliente.RevendaResponsavel',
                'value' => '!empty($data->Cliente) ? $data->Cliente->RevendaResponsavel2 : "-"',
            ),
            'TIT_TITULO',
            'TIT_SERIE',
            array(
                'name' => 'TIT_VALOR',
                'value' => 'Util::verMoeda($data->TIT_VALOR)',
            ),
            array(
                'name' => 'TIT_VALORPAGO',
                'value' => 'Util::verMoeda($data->TIT_VALORPAGO)',
            ),
            array(
                'name' => 'TIT_VALOR_TOTAL',
                'value' => 'Util::verMoeda($data->TIT_VALOR_TOTAL)',
            ),
            array(
                'name' => 'TIT_EMISSAO',
                'value' => 'Util::formatDataBr($data->TIT_EMISSAO)',
            ),
            array(
                'name' => 'TIT_VENCIMENTO',
                'value' => 'Util::formatDataBr($data->TIT_VENCIMENTO)',
            ),
            array(
                'name' => 'TIT_DTPAGAMENTO',
                'value' => 'getDataPagamento($data->TIT_DTPAGAMENTO, $data->TIT_SITUACAO)',
            ),
            array(
                'name' => 'TIT_SITUACAO',
                'value' => 'Util::getSituacaoTitulo($data->TIT_SITUACAO)',
            ),
            array(
                'class' => 'CButtonColumn',
                'template' => $botoes,
                'buttons' => array(
                    'Boleto' => array(
                        'label' => 'Gerar Boleto',
                        'imageUrl' => FaHtml::getImgUrl('ico-boleto.png'),
                        'url' => '$data->getLink()',
                        'visible' => '$data->showBoleto()',
                        'options' => array('target' => '_blank')
                    ),
                ),
            ),
        ),
    ));
}
?>
<style type="text/css">
    .align-left {
        float: left;
        margin-left: 70px;
    }
</style>